import { MiniProgram } from "..";
/**
 * 登陆授权
 */
export declare class Auth {
    private mini;
    constructor(mini: MiniProgram);
    /**
     * 登录凭证校验
     * 通过 wx.login 接口获得临时登录凭证 code 后传到开发者服务器调用此接口完成登录流程。更多使用方法详见 小程序登录。
     * https://developers.weixin.qq.com/miniprogram/dev/api-backend/open-api/login/auth.code2Session.html
     */
    code2Session(code: string): Promise<import("./interface").ISession & import("../../interface").IError>;
}
